Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source
Class XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.AbstractEditorView
          com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorView
              com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor

All Implemented Interfaces:
  XmlEditorView, XmlLocationListener, PropertyChangeNotifier, java.beans.PropertyChangeListener, java.util.EventListener

Enclosing class:
  XmlSourceEditorFactory

    public static class XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor

extends XmlSourceEditorView

XmlSource editor for a WsdlMockRequest

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorView
`XmlSourceEditorView.ValidateMessageXmlAction`

Field Summary

Fields inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorView
`isLocating`

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlEditorView
`TITLE_PROPERTY`

Constructor Summary
`XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor(XmlEditor xmlEditor, WsdlMockResponse mockResponse)`

Method Summary
`protected void` | `buildPopup(javax.swing.JPopupMenu inputPopup, JXEditTextArea editArea)`
`protected ValidationError[]` | `validateXml(java.lang.String xml)`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorView
`activate, buildUI, getComponent, getCurrentColumn, getCurrentLine, getEditorPopup, getEditorScrollPane, getInputArea, getLocation, getText, getViewId, hasFocus, isInspectable, locationChanged, release, saveDocument, setEditable, setLocation, setXml, validate`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.AbstractEditorView
`addLocationListener, addPropertyChangeListener, addPropertyChangeListener, deactivate, fireLocationChanged, getEditor, getPropertyChangeSupport, getTitle, getXmlDocument, isActive, isXmlChanged, propertyChange, removeLocationListener, removePropertyChangeListener, removePropertyChangeListener, requestFocus, setTitle, setXmlDocument, syncUpdates, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor

    public XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor(XmlEditor xmlEditor,
                                                                 WsdlMockResponse mockResponse)

Method Detail

### validateXml

    protected ValidationError[] validateXml(java.lang.String xml)

  Overrides:
    `validateXml` in class `XmlSourceEditorView`

### buildPopup

    protected void buildPopup(javax.swing.JPopupMenu inputPopup,
                              JXEditTextArea editArea)

  Overrides:
    `buildPopup` in class `XmlSourceEditorView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.